curl --request PUT \
--url https://api.wavix.com/v1/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_info": "<string>",
"contacts": "<string>",
"default_short_link_endpoint": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"sms_relay_url": "<string>",
"dlr_relay_url": "<string>",
"time_zone": "UTC",
"job_title": "<string>",
"company_info": {
"name": "<string>",
"industry": "telecommunications",
"billing_address": "<string>",
"attn_contact_name": "<string>",
"vat_number": "<string>",
"country_code": "<string>"
}
}
'import requests
url = "https://api.wavix.com/v1/profile"
payload = {
"additional_info": "<string>",
"contacts": "<string>",
"default_short_link_endpoint": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"sms_relay_url": "<string>",
"dlr_relay_url": "<string>",
"time_zone": "UTC",
"job_title": "<string>",
"company_info": {
"name": "<string>",
"industry": "telecommunications",
"billing_address": "<string>",
"attn_contact_name": "<string>",
"vat_number": "<string>",
"country_code": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_info: '<string>',
contacts: '<string>',
default_short_link_endpoint: '<string>',
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
sms_relay_url: '<string>',
dlr_relay_url: '<string>',
time_zone: 'UTC',
job_title: '<string>',
company_info: {
name: '<string>',
industry: 'telecommunications',
billing_address: '<string>',
attn_contact_name: '<string>',
vat_number: '<string>',
country_code: '<string>'
}
})
};
fetch('https://api.wavix.com/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"email": "email",
"first_name": "first name",
"last_name": "last name",
"phone": "+12025550123",
"additional_info": "additional info",
"contact_email": "contact email",
"timezone": "timezone",
"job_title": "job title",
"default_short_link_endpoint": "default short link endpoint",
"default_destinations": [
{
"transport": "transport",
"value": "value"
}
],
"company_info": {
"name": "name",
"industry": "telecommunications",
"address": "address",
"attn_contact_name": "attn contact name",
"vat_number": "vat number",
"country": {
"country_name": "country name",
"country_id": 123
}
}
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}Update a profile
Updates the profile and billing details of the authenticated account.
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Body
Profile and billing fields to set on the account.
Additional information associated with the account.
Email associated with the account.
Default short link endpoint.
Account owner's first name.
Account owner's last name.
Account owner's phone number
Callback URL to forward inbound SMS to.
Callback URL to forward message delivery reports (DLRs) to.
Timezone configured on the account.
"UTC"
Account owner's job title.
Show child attributes
Show child attributes
Response
Returns the updated profile.
Account ID.
1
Email associated with the account.
"info@awesome.com"
Account owner's first name.
"Jason"
Account owner's last name.
"Androux"
Account owner's phone number.
"13291019312"
Additional info associated with the account.
"Additional info"
Additional email address for billing notifications.
"billing@awesome.com"
Timezone configured on the account.
"Pacific/Wallis"
Account owner's job title.
"Manager"
Default short link endpoint.
"https://short.examples.com"
Default destinations configured for the account.
Show child attributes
Show child attributes
[
{
"transport": "sms",
"value": "https://webhook.address.com/inboundSMS"
}
]
Company details.
Show child attributes
Show child attributes
Was this page helpful?